devel/go-compress - The NetBSD Packages Collection

Optimized compression packages for Go

go-compress is based on an optimized Deflate function,
which is used by gzip/zip/zlib packages.
It offers slightly better compression at lower compression
settings, and up to 3x faster encoding at highest compression level.

Build dependencies

lang/go115 devel/go-cpuid security/go-xxhash pkgtools/cwrappers

Runtime dependencies

(none)

Available binary packages

aarch64:go-compress-1.9.1nb9.tgz(NetBSD 9.0)
aarch64:go-compress-1.9.1nb12.tgz(NetBSD 9.0)
earmv7hf:go-compress-1.9.1nb12.tgz(NetBSD 8.0)
earmv7hf:go-compress-1.9.1nb4.tgz(NetBSD 8.0)
earmv7hf:go-compress-1.9.1nb6.tgz(NetBSD 8.0)
earmv7hf:go-compress-1.9.1nb9.tgz(NetBSD 8.0)
earmv7hf:go-compress-1.9.1nb12.tgz(NetBSD 9.0)
earmv7hf:go-compress-1.9.1nb4.tgz(NetBSD 9.0)
earmv7hf:go-compress-1.9.1nb6.tgz(NetBSD 9.0)
earmv7hf:go-compress-1.9.1nb9.tgz(NetBSD 9.0)
i386:go-compress-1.9.1nb6.tgz(NetBSD 8.0)
i386:go-compress-1.9.1nb9.tgz(NetBSD 8.0)
i386:go-compress-1.9.1nb12.tgz(NetBSD 8.0)
i386:go-compress-1.9.1nb6.tgz(NetBSD 9.0)
i386:go-compress-1.9.1nb9.tgz(NetBSD 9.0)
i386:go-compress-1.9.1nb12.tgz(NetBSD 9.0)
x86_64:go-compress-1.9.1nb12.tgz(NetBSD 9.0)
x86_64:go-compress-1.9.1nb12.tgz(NetBSD 9.0)
x86_64:go-compress-1.9.1nb13.tgz(NetBSD 9.0)
x86_64:go-compress-1.9.1nb9.tgz(NetBSD 9.0)
x86_64:go-compress-1.9.1nb9.tgz(NetBSD 8.0)
x86_64:go-compress-1.9.1nb6.tgz(NetBSD 8.0)
x86_64:go-compress-1.9.1nb6.tgz(NetBSD 9.0)
x86_64:go-compress-1.9.1nb9.tgz(NetBSD 9.0)
x86_64:go-compress-1.9.1nb12.tgz(NetBSD 9.0)
x86_64:go-compress-1.9.1nb13.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]